local LSM = LibStub and LibStub("LibSharedMedia-3.0", true)
if not LSM then return end

LSM:Register("statusbar", "ChaosPunk paint", "Interface\\AddOns\\ChaosPunk\\media\\chaospaint.png")
LSM:Register("statusbar", "ChaosPunk paint bg", "Interface\\AddOns\\ChaosPunk\\media\\chaospaintbg.png")
LSM:Register("statusbar", "ChaosPunk", "Interface\\AddOns\\ChaosPunk\\media\\chaospunk.png")
LSM:Register("statusbar", "ChaosPunk BG", "Interface\\AddOns\\ChaosPunk\\media\\chaospunkbg.png")
LSM:Register("statusbar", "ChaosPunk Barrier", "Interface\\AddOns\\ChaosPunk\\media\\chaospunkbarrier.png")

-- **Platynator target highlight registration**
LSM:Register("platynator/sizedtexture", "ChaosPunk Highlight", {
    file = "Interface\\AddOns\\ChaosPunk\\media\\chaospunkhighlight.png",
    width = 164,   -- adjust to fit your texture dimensions
    height = 64, -- adjust to fit your texture dimensions
})